WordPress.org

Forums

Using require_once for up directory not working (1 post)

  1. flashery
    Member
    Posted 2 years ago #

    I am using require_once like this

    require_once('../mycode.php')

    I am a developing a wordpress plugin. My plugin folder is yves-slider. Where I have a file called yves-slider.php and a folder called admin. Inside admin folder I have a file called admin.php. I want to require file yves-slider.php in my admin.php which is located up one level directory. When I try to use

    require_once('../yves-slider.php')

    it gives me error
    ==============================================================================================================================
    Warning: require_once(../yves-slider.php): failed to open stream: No such file or directory in C:\xampp\htdocs\wordpress\wp-content\plugins\yves-slider\yves-slider-admin\yves-slider-admin.php on line 4

    Fatal error: require_once(): Failed opening required '../yves-slider.php' (include_path='.;C:\xampp\php\PEAR') in C:\xampp\htdocs\wordpress\wp-content\plugins\yves-slider\yves-slider-admin\yves-slider-admin.php on line 4
    ==============================================================================================================================

    Am I doing wrong? I am using XAMPP 3.1, I guess that's the best way to do it.

Topic Closed

This topic has been closed to new replies.

About this Topic